> For the complete documentation index, see [llms.txt](https://developer.jylo.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.jylo.ai/api-reference/projects/flow-group-assignment-entries.md).

# Flow Group Assignment Entries

## List entries for a flow group assignment.

> Returns the flow document collection definitions linked to the specified flow group assignment.

```json
{"openapi":"3.0.4","info":{"title":"Project API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Projects.Services.Features.FlowGroupAssignments.Contracts.Responses.FlowDocumentCollectionDefinitionResponse":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"name":{"type":"string","nullable":true},"useAllDocuments":{"type":"boolean"},"dateAdded":{"type":"string","format":"date-time"},"entries":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.FlowGroupAssignments.Contracts.Responses.FlowDocumentCollectionEntryResponse"},"nullable":true}},"additionalProperties":false},"Jylo.Projects.Services.Features.FlowGroupAssignments.Contracts.Responses.FlowDocumentCollectionEntryResponse":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"documentObjectIdentifier":{"type":"string","format":"uuid"},"dateAdded":{"type":"string","format":"date-time"}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/projects/{projectIdentifier}/flows/{flowObjectIdentifier}/flow-group-assignment-entries":{"get":{"tags":["Flow Group Assignment Entries"],"summary":"List entries for a flow group assignment.","description":"Returns the flow document collection definitions linked to the specified flow group assignment.","parameters":[{"name":"flowGroupAssignmentObjectIdentifier","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"projectIdentifier","in":"path","required":true,"schema":{"type":"string"}},{"name":"flowObjectIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.FlowGroupAssignments.Contracts.Responses.FlowDocumentCollectionDefinitionResponse"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.FlowGroupAssignments.Contracts.Responses.FlowDocumentCollectionDefinitionResponse"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.FlowGroupAssignments.Contracts.Responses.FlowDocumentCollectionDefinitionResponse"}}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Sync flow group assignment entries.

> Adds and removes documents linked to a flow's group assignment so the assignment's document set matches the supplied lists.

```json
{"openapi":"3.0.4","info":{"title":"Project API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Projects.Models.Flows.FlowGroupAssignmentEntries.SyncFlowGroupAssignmentEntriesRequest":{"type":"object","properties":{"flowDocumentCollectionDefinitionObjectIdentifier":{"type":"string","format":"uuid"},"documentObjectIdentifiersToAdd":{"type":"array","items":{"type":"string","format":"uuid"},"nullable":true},"documentObjectIdentifiersToRemove":{"type":"array","items":{"type":"string","format":"uuid"},"nullable":true}},"additionalProperties":false},"Jylo.Projects.Services.Features.FlowGroupAssignments.Contracts.Responses.FlowDocumentCollectionDefinitionResponse":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"name":{"type":"string","nullable":true},"useAllDocuments":{"type":"boolean"},"dateAdded":{"type":"string","format":"date-time"},"entries":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.FlowGroupAssignments.Contracts.Responses.FlowDocumentCollectionEntryResponse"},"nullable":true}},"additionalProperties":false},"Jylo.Projects.Services.Features.FlowGroupAssignments.Contracts.Responses.FlowDocumentCollectionEntryResponse":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"documentObjectIdentifier":{"type":"string","format":"uuid"},"dateAdded":{"type":"string","format":"date-time"}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/projects/{projectIdentifier}/flows/{flowObjectIdentifier}/flow-group-assignment-entries":{"put":{"tags":["Flow Group Assignment Entries"],"summary":"Sync flow group assignment entries.","description":"Adds and removes documents linked to a flow's group assignment so the assignment's document set matches the supplied lists.","parameters":[{"name":"projectIdentifier","in":"path","required":true,"schema":{"type":"string"}},{"name":"flowObjectIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Models.Flows.FlowGroupAssignmentEntries.SyncFlowGroupAssignmentEntriesRequest"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Models.Flows.FlowGroupAssignmentEntries.SyncFlowGroupAssignmentEntriesRequest"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Models.Flows.FlowGroupAssignmentEntries.SyncFlowGroupAssignmentEntriesRequest"}}}},"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.FlowGroupAssignments.Contracts.Responses.FlowDocumentCollectionDefinitionResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.FlowGroupAssignments.Contracts.Responses.FlowDocumentCollectionDefinitionResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Services.Features.FlowGroupAssignments.Contracts.Responses.FlowDocumentCollectionDefinitionResponse"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"409":{"description":"Conflict","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.jylo.ai/api-reference/projects/flow-group-assignment-entries.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
